import request from "/utils/request.js";
export function ClientSite() {
	return {
		// 查看所有门店
		getSiteDetailsAll: (data) => {
			return request.request({
				url: `/ClientSite/GetSiteDetailsAll`,
				data,
				method: 'get',
			});
		},
		// 根据门店ID查路线图
		GetSiteGuideById: (id) => {
			return request.request({
				url:`/ClientSite/GetSiteGuideById?siteId=${id}`,
				method: 'get',
			});
		},
		// 获取门店所在的所有城市
		GetCityAll: () => {
			return request.request({
				url: '/ClientSite/GetCityAll',
				method: 'get',
			});
		},
		// 根据门店所在的城市获取对应的区域
		GetDistrictByCity: (city) => {
			return request.request({
				url: `/ClientSite/GetDistrictByCity?city=${city}`,
				method: 'get',
			});
		},
		// 获取城市区域
		GetCityDistrictList: () => {
			return request.request({
				url: '/ClientSite/GetCityDistrictList',
				method: 'get',
			});
		},
		GetSiteStopCarGuideById: (id) => {
			return request.request({
				url:`/ClientSite/GetSiteStopCarGuideById?siteId=${id}`,
				method: 'get',
			});
		},
	}
}